import axios from 'axios'

const urlBase = "http://127.0.0.1:5000/"

export default {

    login(data) {
        let login = data[0]
        let motDePasse = data[1]
        /*      let reponse = ""
              axios.get(urlBase + "checkUser?login=" + login + "&password=" + motDePasse).then(function (response) {
                   reponse =  response.data
              })*/
        return axios.get(urlBase + "checkUser?login=" + login + "&password=" + motDePasse)
    },

    getPanierAuteur(auteur) {
        return axios.get(urlBase + "getContenuPanier/" + auteur + "?perso=True&tiers=True&enCours=true")
    },

    getBanqueAuteur(auteur) {
        return axios.get(urlBase + "getContenuBanque/" + auteur)
    },

    getContenuById(idContenu) {
        return axios.get(urlBase + "getContenu/" + idContenu)
    },

    creerContenuTiers(data) {
        return axios.patch(urlBase + "ajouterTiers", data)
    },

    creerContenuPerso(data) {
        return axios.post(urlBase + "addContenu", data)
    },


    creerEnCours(data) {
        return axios.post(urlBase + "newEnCours", data)
    },

    creerEnCoursRefuse(data) {
        return axios.patch(urlBase + "newEnCoursRefuse", data)
    },

    supprimerEnCours(idContenu) {
        return axios.delete(urlBase + "supprimerEnCours/" + idContenu)
    },

    supprimerEnCoursParLid(idEnCours) {
        return axios.delete(urlBase + "supprimerEnCoursParId/" + idEnCours)
    },

    supprimerContenu(idContenu) {
        return axios.delete(urlBase + "deletePerso/" + idContenu)
    },

    supprimerTiers(auteur, id_tiers) {
        return axios.delete(urlBase + "deleteTiers?auteur=" + auteur + "&id_tiers=" + id_tiers)
    },
    majContenu(data) {
        return axios.patch(urlBase + "majContenu", data)

    },

    // bonus : fonction de récupération des tags pour getPanier et getBanque

    getPublicationsRecues(auteur) {
        return axios.get(urlBase + "demandePublication/" + auteur + "/False")
    },

    getPublicationsProposees(auteur) {
        return axios.get(urlBase + "demandePublication/" + auteur + "/True")
    },

    creerDemandePublication(data) {
        return axios.post(urlBase + "demandePublication", data)

    },
    supprimerDemandePublication(idDemandePublication) {
        return axios.delete(urlBase + "demandePublication/" + idDemandePublication)
    },
    creerNouveauContenu(data) {
        return axios.post(urlBase + "newContenu", data)
    },
    gererDemandePublication(data) {
        return axios.patch(urlBase + "gererDemandePub", data)
    },

    isMajTiersDisponible(auteur) {
        return axios.get(urlBase + "isMajTiersDisponible/" + auteur)
    },
    listeMajTiers(auteur) {
        return axios.get(urlBase + "listeMajTiers/" + auteur)
    },
    gererMajTiers(data) {
        return axios.patch(urlBase + "gererMajTiers", data)
    },
    changerTexte(data, id) {
        return axios.patch(urlBase + "changerTexte/" + id, data)
    },
    recupererTexteContenu(idContenu){
        return axios.get(urlBase + "getTexteContenu/" + idContenu)
    },
    recupererTexteContenuEnCours(idContenu){
        return axios.get(urlBase + "getTexteContenuEnCours/" + idContenu)
    },
    recupererTexteVersionContenu(idContenu, version){
        return axios.get(urlBase + "getTexteVersionContenu/" + idContenu + "/" + version)
    },
    recupererAuteursExistants(){
        return axios.get(urlBase + "auteursExistants")
    }
}